summaryrefslogtreecommitdiff
path: root/bin/menuscripts/mpass
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-08-14 11:50:41 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-08-14 11:50:41 +0200
commit67a2df82d25f52ea0937f4eed355546deae7b4b5 (patch)
tree40bc358a6d2a6b119e04229b48fd05dd74a5b81d /bin/menuscripts/mpass
parent4fbb921cd8a9da0135e0ddf54da898e080cc8c7e (diff)
parentb0ef0738b3f0cebde9ed6b1d40ca0f7cbb1385a3 (diff)
Merge branch 'main' of /var/git/dotfiles
Diffstat (limited to 'bin/menuscripts/mpass')
-rwxr-xr-xbin/menuscripts/mpass10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/menuscripts/mpass b/bin/menuscripts/mpass
index a50f0fb..4ecd4bc 100755
--- a/bin/menuscripts/mpass
+++ b/bin/menuscripts/mpass
@@ -16,10 +16,10 @@ do
[ "$choice" ] || break
file="$file/$choice"
done
-
test -z "$file" && exit 1
-pass show -c "$file" &&
- if [ -n "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null
-then
+
+pass show -c "$file" || exit 1
+notify-send -t 1000 "mpass" "copied <b>$choice</b>"
+
+[ "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null && # on wayland and cliphist is running
cliphist list | head -n 1 | cliphist delete
-fi